## org.apache.lucene.facet.search
Class DrillSideways.DrillSidewaysResult

    java.lang.Object
      org.apache.lucene.facet.search.DrillSideways.DrillSidewaysResult

Enclosing class:
  DrillSideways

    public static class DrillSideways.DrillSidewaysResult

extends Object

Represents the returned result from a drill sideways search. Note that if you called `DrillSideways.search(DrillDownQuery, Collector, FacetSearchParams)`, then `hits` will be `null`.

Field Summary
`List<FacetResult>` `facetResults` Combined drill down & sideways results.
`TopDocs` `hits` Hits.

Constructor Summary
`DrillSideways.DrillSidewaysResult(List<FacetResult> facetResults, TopDocs hits)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### facetResults

    public final List<FacetResult> facetResults

  Combined drill down & sideways results.

### hits

    public final TopDocs hits

  Hits.

Constructor Detail

### DrillSideways.DrillSidewaysResult

    public DrillSideways.DrillSidewaysResult(List<FacetResult> facetResults,
                                             TopDocs hits)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.